Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 593224 - Guest status becomes to be paused after migration via 'unix' protocol
Guest status becomes to be paused after migration via 'unix' protocol
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: qemu-kvm (Show other bugs)
6.0
All Linux
low Severity medium
: rc
: ---
Assigned To: Juan Quintela
Virtualization Bugs
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-05-18 04:42 EDT by juzhang
Modified: 2013-01-09 17:35 EST (History)
8 users (show)

See Also:
Fixed In Version: qemu-kvm-0.12.1.2-2.96.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-11-10 16:24:55 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description juzhang 2010-05-18 04:42:23 EDT
Description of problem:
Guest status becomes to be paused after migration via 'unix' protocol.

Version-Release number of selected component (if applicable):
host kernel:2.6.32-25.el6.x86_64
qemu-kvm-0.12.1.2-2.53.el6

How reproducible:

Steps to Reproduce:
1.Start the source VM on host
/usr/libexec/qemu-kvm  -no-hpet -usbdevice tablet -rtc-td-hack -m 2G -smp 2 -drive file=/home/rhel5.5.32.qcow2,if=ide,boot=on,cache=off,werror=stop,rerror=stop -net nic,vlan=0,macaddr=22:11:22:45:66:97,model=virtio -net tap,vlan=0,script=/etc/qemu-ifup -uuid `uuidgen` -cpu qemu64,+sse2 -device virtio-balloon-pci -boot order=dc,menu=on -M rhel6.0.0 -monitor stdio -name qxltest  -vnc :11
2. Start the destination VM on the same host in migration-listen mode:
-incoming unix:/root/zjy

/usr/libexec/qemu-kvm  -no-hpet -usbdevice tablet -rtc-td-hack -m 2G -smp 2 -drive file=/home/rhel5.5.32.qcow2,if=ide,boot=on,cache=off,werror=stop,rerror=stop -net nic,vlan=0,macaddr=22:11:22:45:66:97,model=virtio -net tap,vlan=0,script=/etc/qemu-ifup -uuid `uuidgen` -cpu qemu64,+sse2 -device virtio-balloon-pci -boot order=dc,menu=on -M rhel6.0.0 -monitor stdio -name qxltest  -vnc :10 -incoming unix:/root/zjy
3.issue the following commands monitor command in source VM qemu
(qemu) info status 
VM status: running
(qemu)migrate unix:/root/zjy
(qemu) info migrate 
Migration status: completed
(qemu) info status 
VM status: paused

4.after migration,issue the following commands monitor command in destination VM qemu.
(qemu) info status 
VM status: paused
  
Actual results:
please note setp4,after migration,VM status becomes to be paused

Expected results:
after migration,VM status should be running

Additional info:
Comment 2 RHEL Product and Program Management 2010-05-25 03:56:30 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux major release.  Product Management has requested further
review of this request by Red Hat Engineering, for potential inclusion in a Red
Hat Enterprise Linux Major release.  This request is not yet committed for
inclusion.
Comment 3 Eduardo Habkost 2010-06-25 14:40:52 EDT
Current series was NACKed and is being removed from the queue, moving back to
ASSIGNED to reflect that.
Comment 8 Dor Laor 2010-07-18 08:31:51 EDT
Can you retest with latest qemu - .96?
Comment 9 Juan Quintela 2010-07-20 10:17:24 EDT
It was fixed in:

commit 0f8277d940c925096d8dc0df36b63c406a2c2188
Author: Juan Quintela <quintela@redhat.com>
Date:   Tue Jun 29 14:12:42 2010 -0300

    Factorize common migration incoming code
    
Now all migrations use the same code, so they are consistent.
Comment 11 Mike Cao 2010-07-20 22:38:10 EDT
Verified in qemu-kvm-0.12.1.2-2.97.el6,Reproduced in qemu-kvm-0.12.1.2-2.53.el6

Following steps in comment #0

Actual Result:
After migration via 'unix' protocol ,Guest status is running.


The bug has already been fixed .
Comment 13 Mike Cao 2010-07-28 05:48:03 EDT
According to comment #11 ,Change status to Verified.
Comment 14 releng-rhel@redhat.com 2010-11-10 16:24:55 EST
Red Hat Enterprise Linux 6.0 is now available and should resolve
the problem described in this bug report. This report is therefore being closed
with a resolution of CURRENTRELEASE. You may reopen this bug report if the
solution does not work for you.

Note You need to log in before you can comment on or make changes to this bug.